## elfutils 0.147

=== debian/changelog ===
elfutils (0.147-2) unstable; urgency=low

  * Open the proper file with debug info in case they have the same
    name.  (Closes: #555549)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 17 Jun 2010 18:38:27 +0200

elfutils (0.147-1) unstable; urgency=low

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 24 May 2010 10:49:05 +0200

elfutils (0.146-1) unstable; urgency=low

  * New upstream release
    - adds better support for the sh arch
    - Add build-depedency on liblzma-dev
    - Add build-depedency on gettext
    - Add tanslations to libelf1.  All packges making use of those
      files depend on it.
    - New symbols dwfl_core_file_report in libdw1, update symbol file.
  * Call configure with --enable-thread-safety

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 24 Apr 2010 11:55:24 +0200

elfutils (0.145-1) unstable; urgency=low

  * New upstream release
  * Make elfutils depend libdw1 (= ${binary:Version}).  The static libebl.a
    that it used by the applications in changes MODVERSION on rebuild.  It's
    the only thing making use of libebl.a

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 24 Feb 2010 19:36:07 +0100

elfutils (0.144-1) unstable; urgency=low

  * New upstream version
    - Fixes segfault in systemtap (Closes: #556133)
    - Remove elflint-comment.diff and nobits.diff, applied upstream.
    - dwarf_aggregate_size got added in libdw1,
      elf_getphdrnum got added to libelf: update symbol file.
  * Switch to dpkg-source 3.0 (quilt) format
  * hppa: Use dwarf_aggregate_size().
  * Add ${misc:Depends} to all packages
  * Change Standards-Version to 3.8.4, no changes required.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 15 Feb 2010 23:27:18 +0100

elfutils (0.143-2) unstable; urgency=low

  * Prevent segfault from debug only files.  (Closes: #556133)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 16 Nov 2009 18:22:43 +0100

elfutils (0.143-1) unstable; urgency=low

  * New upstream release.
    - Upstream added new symbols in libdw1, adjust symbol file.
  * Remove the fix-bswap-warnings.diff and pointer_cast.diff
    patch, they weren't used anyway.
  * Remove posix_fadvise.diff and namelen.diff, applied upstream.
  * Add elflint-comment.diff, from upstream git.  Fixes a regression
    suite error with newer binutils.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Sep 2009 21:06:21 +0000

elfutils (0.142-1) unstable; urgency=low

  * New upstream version
  * Provide a static version of libdw.  Do not use it unless you
    know what you're doing.  (Closes: #538375)
  * Replace elf_getshstrndx by elf_getshdrstrndx in the mips backend.
    elf_getshstrndx has been deprecated.
  * Upstream added new symbols, adjust symbol files.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 14 Aug 2009 13:56:30 +0200

elfutils (0.141-2) unstable; urgency=low

  * Make libdw-dev Depend on libdw1 (Closes: #526824)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 03 May 2009 22:07:59 +0200

elfutils (0.141-1) unstable; urgency=low

  * New upstream release
    - Update redhat-robustify.diff and redhat-portability.diff
    - Remove redhat-strip-copy-symtab.diff, does not seem to be used anymore.
      Also remove things in the rules file that deal with it, and
      drop sharutils from build-depends.
    - Remove elflint_initialization.diff, unaligned.diff, pointer_cast.diff,
      gnu_inline.diff, readelf_subelf.diff, gcc-4.3_support: applied or
      fixed some other way upstream
  * Update watch file to new location.
  * Make libasm-dev conflict with libasm0-dev (Closes: #509042)
  * Create a shared version of libdw, and move libebl's file
    in the libdw1 package.  Drop the static versions of libdw and libebl.
    There is no libebl-dev anymore.  (Closes: #457543)
  * Add elfutils/version.h to libelf-dev
  * Run test suite with LC_CTYPE=C, to have the same sort ordering.
  * Add Build-Dependency on zlib1g-dev, libbz2-dev and m4.
  * Start using dpkg-gensymbols:
    - libasm1: Upstream added disasm_begin, disasm_cb, disasm_end
      and disasm_str to ELFUTILS_1.0 in 0.132, the others are there
      since 0.120.
    - libelf1: ELFUTILS_1.2 was added in 0.122, ELFUTILS_1.3 in
      0.130 and ELFUTILS_1.4 in 0.132.  gelf_rawchunk
      and gelf_freechunk got removed in 0.131.
    - libdw1: Versions are when get got introduced.  dwarf_getelf
      was removed from ELFUTILS_0.122 and changed to ELFUTILS_0.126
      in 0.126
  * libasm1 and libelf1 added new functions, bump shlibs
  * Update Standards-Version to 3.8.1
    - Change ${Source-Version} to ${binary:Version}
    - Add support for DEB_BUILD_OPTIONS nocheck
    - Add upstream Homepage
  * Don't use -$(MAKE) distclean
  * Remove debian/dirs file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 May 2009 16:30:39 +0200

elfutils (0.131-4) unstable; urgency=low

  * Move static functions the only file that uses it.  Avoids warning
    using gcc-4.3.  Thanks to Maximiliano Curia for the patch.
    (Closes: #467103)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 13:40:13 +0000

elfutils (0.131-3) unstable; urgency=low

  * Add m68k backend.
  * Fix copyright file to point to /usr/share/common-licenses/GPL-2

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 26 Dec 2007 19:53:09 +0100

elfutils (0.131-2) unstable; urgency=low

  * Bump shlibs for libelf1 since it added new functions.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 17 Dec 2007 18:33:45 +0100

elfutils (0.131-1) unstable; urgency=low

  * New usptream version. (Closes: #455878)
    - ebl_core_note() changed function arguments.
    - libelf: Add functions: gelf_getauxv(), gelf_update_auxv(),
      gelf_getnote(), elf_getdata_rawchunk().
      removed gelf_rawchunk(), gelf_freechunk()
    - Changed some types from off_t to off64_t.  The library
      was always build with LFS, so it's just a correction of the types.
  * merge patches
  * arm, hppa and mips backend: Use dwarf_attr_integrate() instead of
    dwarf_attr(), and dwarf_hasattr_integrate() instead of dwarf_hasattr().

