## elfutils 0.148

=== debian/changelog ===
elfutils (0.148-1) unstable; urgency=low

  * New upstream release
    - Drop debug_filename.patch, applied upstream.
    - New symbols in libdw1, update symbols file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 03 Jul 2010 15:01:59 +0200
