## elfutils 0.152

=== debian/changelog ===
elfutils (0.152-1ubuntu3) precise; urgency=low

  [ Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> ]
  * Convert to multiarch. (LP: #934433)
  * Switched to use 'dh_prep' instead of 'dh_clean -k'

 -- Evan Broder <evan@ebroder.net>  Tue, 06 Mar 2012 23:34:49 -0800

elfutils (0.152-1ubuntu2) precise; urgency=low

  * Rebuild for liblzma5.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 09:06:38 -0400

elfutils (0.152-1ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2011 11:19:43 +0200

elfutils (0.152-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch.
    - Update symbol file for libdw1, 2 new functions.
  * Remove obsolete files from the debian dir.
  * Update watch file to work with newer versions.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 08 Sep 2010 19:54:20 +0200
