=== debian/control ===
Source: elfutils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
Uploaders: Christian Aichinger <Greek0@gmx.net>
Build-Depends: debhelper (>= 8.1.3), autotools-dev, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.8.4
Section: libs
Homepage: https://fedorahosted.org/elfutils/

Package: elfutils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, libdw1 (= ${binary:Version}), ${misc:Depends}
Description: collection of utilities to handle ELF objects
 Elfutils is a collection of utilities, including eu-ld (a linker),
 eu-nm (for listing symbols from object files), eu-size (for listing the
 section sizes of an object or archive file), eu-strip (for discarding
 symbols), eu-readelf (to see the raw ELF file structures), and eu-elflint
 (to check for well-formed ELF files).

Package: libelf1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to read and write ELF files
 The libelf1 package provides a shared library which allows reading and
 writing ELF files on a high level.  Third party programs depend on
 this package to read internals of ELF files.  The programs of the
 elfutils package use it also to generate new ELF files.
 .
 This library is part of elfutils.

Package: libelf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libelfg0-dev
Description: libelf1 development libraries and header files
 libelf1 provides a shared library which allows reading and writing of ELF
 files on a high level.
 .
 This package contains development libraries and header files for libelf1.

Package: libdw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf-dev, libdw1 (= ${binary:Version}), ${misc:Depends}
Description: libdw1 development libraries and header files
 libdw1 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This package contains development libraries and header files for libdw1.
 .
 It also contains a static version of libdw.  Only link to the static version
 for special cases and when you don't need anything from the ebl backends.

Package: libdw1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library that provides access to the DWARF debug information
 libdw1 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This library is part of elfutils.

Package: libasm1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library with a programmable assembler interface
 The libasm1 package provides a library with a programmable assembler
 interface.  It allows you to create ELF files on a low level.
 .
 This library is part of elfutils.

Package: libasm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasm1 (= ${binary:Version}), libelf-dev, ${misc:Depends}
Conflicts: libelfsh0-dev, libasm0-dev
Description: libasm development libraries and header files
 libasm1 allows you to create ELF files on a low level.
 .
 This package contains development libraries and header files for libasm1.
