## elfutils 0.153

=== debian/changelog ===
elfutils (0.153-1ubuntu1.1) quantal-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution in libdw
    via malicious ELF file
    - debian/patches/CVE-2014-0172.patch: check for overflow in
      libdw/dwarf_begin_elf.c.
    - CVE-2014-0172

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Apr 2014 13:58:35 -0400

elfutils (0.153-1ubuntu1) quantal; urgency=low

  * Fix build-arch and build-indep targets to not require root.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Aug 2012 13:16:09 -0600

elfutils (0.153-1) unstable; urgency=low

  [ Jonathan Nieder <jrnieder@gmail.com> ]
  * Run autotools at build time.
    - debian/control: Build-Depends: autoconf, automake.
    - debian/rules:
      - config.status:
        - depend on configure.ac, not configure.
        - autoreconf -fis.
      - clean: remove autotools-generated files to avoid .diff.gz
        changes when built twice in a row.
    - debian/patches: remove do-autoreconf.diff.

  [ Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> ]
  * Convert to multiarch. (Closes: #657139)
  * Added build-{arch,indep} targets.
  * Switched to use 'dh_prep' instead of 'dh_clean -k'

  [ Kurt Roeckx ]
  * New upstream release
    - Portability patch has workaround for broken bswap_32 macro.
      This should also have been fixed in glibc code.  (Closes: #595496)
    - Fix bashism in configure script (Closes: #647350)
  * Remove Christian Aichinger from uploaders (Closes: #661119)
  * Make the m68k port functional, thanks to a patch from
    Thorsten Glaser <tg@mirbsd.de> (Patch in #595496, #384794)
  * Fix test suite to set up test environment (alldts.patch).
  * Use dpkg-buildflags.  Build-Depend on dpkg-dev (>= 1.16.1~) for
    buildflags.mk.
  * Call configure with --enable-maintainer-mode so all files get regenerated
    Also add Build-Depends on gawk for this to work.
  * Revert %m[ to %a[ change in addr2line and line2addr from the portability
    patch.
  * Clean up more files (Makefile.in, libdw/known-dwarf.h)
  * Set libdir to the multiarch dir, so that the rpath gets set up correctly
    and that we don't have to move the files in the rules file.
 
 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 24 Feb 2012 20:23:08 +0100
