=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Uploaders: Christian Aichinger <Greek0@gmx.net>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~)
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.4
 Section: libs
