=== debian/rules ===
--- 
+++ 
@@ -31,21 +31,16 @@
         make_check = no
 endif
 
-CFLAGS = -g
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-config.status: configure
+config.status: configure.ac
 	dh_testdir
-	rm -f config/config.guess config/config.sub
-	ln -s /usr/share/misc/config.guess config/config.guess
-	ln -s /usr/share/misc/config.sub config/config.sub
-	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr \
+	autoreconf -fis
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--enable-maintainer-mode \
 		--program-prefix=eu- --enable-thread-safety
 
 build: build-stamp
@@ -68,11 +63,14 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f configure version.h
+	rm -f INSTALL aclocal.m4
+	rm -f config/depcomp config/install-sh config/missing config/ylwrap
 	rm -f config/config.guess config/config.sub elfutils.spec
 	rm -rf autom4te.cache
+	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in
+	rm -f libdw/known-dwarf.h
 
 	dh_clean
 
@@ -89,11 +87,13 @@
 	rm debian/tmp/usr/include/elfutils/libebl.h
 
 # Build architecture-independent files here.
-binary-indep: build install
+build-indep: build
+binary-indep: build-indep install
 # We have nothing to do.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+build-arch: build
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
