## elfutils 0.157

=== debian/changelog ===
elfutils (0.157-1ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution in libdw
    via malicious ELF file
    - debian/patches/CVE-2014-0172.patch: check for overflow in
      libdw/dwarf_begin_elf.c.
    - CVE-2014-0172

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Apr 2014 13:55:40 -0400

elfutils (0.157-1ubuntu1) saucy; urgency=low

  * Don't run the testsuite on AArch64, native test are failing.
    Requires a (not yet implemented) backend.

 -- Matthias Klose <doko@18xx.org>  Wed, 09 Oct 2013 10:35:10 +0200

elfutils (0.157-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch
    - Make arm_backend.diff apply to the new upstream version
    - Adjust symbol files for new symbols
  * Adjust addrcfi test results for arm to work with our arm patch.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 01 Oct 2013 18:21:23 +0200

elfutils (0.156-1) unstable; urgency=low

  * New upstream release
    - Update portability and robustify patch
    - Make hppa_backend.diff, arm_backend.diff, mips_backend.diff,
      m68k_backend.diff, testsuite-ignore-elflint apply to the new
      upstream version
    - Drop patches elf_end_unlock.patch, alldts.patch, strip_sh_type.patch:
      applied upstream
    - Works with binutils-gold (Closes: #647359)
    - Works with gcc 4.8 (Closes: #701271)
  * drop elf_additions.diff, it's not used.
  * Remove config.h.in and test-driver during clean (Closes: #695927)
  * Add build dependency on gcc-multilib [amd64] to have a working gcc -m32
    for the test suite.
  * arm backend: change r12 back to signed, no idea why it was made unsigned.
  * arm backend: rename the "special" set to "state".
  * Our arm backend patch adds more registers, update the arm_backend.diff to 
    expectd those changes in the test suite
  * disable thread safety, it's not tested upstream.
  * Update libdw1.symbols

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 28 Jul 2013 14:32:23 +0200

elfutils (0.153-2) unstable; urgency=low

  * Make it actually build properly using build-arch.  (Closes: #684528)
  * Call rwlock_unlock() before rwlock_fini().  The lock was still held
    causing problems on kfreebsd.  (Closes: #662041)
  * Don't exclude sh_type >= SHT_NUM from stripping, it's set to
    SHT_MIPS_DWARF on mips. (Closes: #662041)
  * readelf -w didn't show the content of debug sections on mips
    because sh_type was set to SHT_MIPS_DWARF.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 18 Sep 2012 21:12:08 +0200
