=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,10 @@
         make_check = no
 endif
 
+ifneq (,$(findstring aarch64, $(DEB_HOST_GNU_TYPE)))
+        make_check = no
+endif
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -41,7 +45,7 @@
 		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--enable-maintainer-mode \
-		--program-prefix=eu- --enable-thread-safety
+		--program-prefix=eu-
 
 build: build-stamp
 build-stamp:  config.status
@@ -68,6 +72,8 @@
 	rm -f INSTALL aclocal.m4
 	rm -f config/depcomp config/install-sh config/missing config/ylwrap
 	rm -f config/config.guess config/config.sub elfutils.spec
+	rm -f config.h.in
+	rm -f config/test-driver
 	rm -rf autom4te.cache
 	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in
 	rm -f libdw/known-dwarf.h
