## elfutils 0.158

=== debian/changelog ===
elfutils (0.158-0ubuntu5) trusty; urgency=medium

  * debian/rules: force -O2 to work around build failure with -O3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Feb 2014 12:56:43 -0700

elfutils (0.158-0ubuntu4) trusty; urgency=medium

  * Show test-suite log and logs of failing tests in case of failures.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2014 09:50:09 +0100

elfutils (0.158-0ubuntu3) trusty; urgency=medium

  * Ignore run-backtrace-native.sh and run-backtrace-dwarf.sh test failures
    on powerpc and ppc64el. See LP #1268847.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2014 07:27:16 +0100

elfutils (0.158-0ubuntu2) trusty; urgency=medium

  * Fix test cases, when /proc/sys/kernel/core_uses_pid is set to 0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 19:55:50 +0100

elfutils (0.158-0ubuntu1) trusty; urgency=medium

  * New upstream version, adding AArch64 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 12:37:48 +0100

elfutils (0.157-3) unstable; urgency=low

  * Build-Depend on gcc-multilib on [any-amd64] instead of [amd64]

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 17 Nov 2013 22:54:31 +0100

elfutils (0.157-2) unstable; urgency=low

  * Application in the readelf binary package, libdw1 itself use internal
    APIs from libelf and so need a strict dependency on the same libelf1
    binary package.  libasm1 also needs a strict dependency on libdw1 since
    it uses libebl.a and so uses the MODVERSION to openthe backends.  The
    dependency from libasm1 to libdw1 was missing.
    Disabling the thread safety resulted in struct Elf's size changing
    causing things like eu-readelf to break when an older libelf1 was
    installed.
  * Apply patch from upstream to fix the IA64 regression failure
    with a powerpc binary

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 03 Nov 2013 15:20:06 +0100
