=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [amd64]
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64]
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.4
 Section: libs
@@ -12,7 +12,7 @@
 Section: utils
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, libdw1 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}), ${misc:Depends}
 Description: collection of utilities to handle ELF objects
  Elfutils is a collection of utilities, including eu-ld (a linker),
  eu-nm (for listing symbols from object files), eu-size (for listing the
@@ -62,7 +62,7 @@
 Package: libdw1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library that provides access to the DWARF debug information
  libdw1 provides a library that provides access to DWARF debug information
@@ -73,7 +73,7 @@
 Package: libasm1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}), ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library with a programmable assembler interface
  The libasm1 package provides a library with a programmable assembler
