=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://fedorahosted.org/releases/e/l/elfutils/(\d.\d*)/elfutils-(.*).tar.bz2
