## elfutils 0.159

=== debian/changelog ===
elfutils (0.159-4.2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2019-7665
    Due to a heap-buffer-overflow problem in function elf32_xlatetom()
    a crafted ELF input can cause segmentation faults.
  * CVE-2019-7150
    Add sanity check for partial core file dynamic data read.
  * CVE-2019-7149
    Due to a heap-buffer-overflow problem in function read_srclines()
    a crafted ELF input can cause segmentation faults.
  * CVE-2018-18521
    By using a crafted ELF file, containing a zero sh_entsize, a
    divide-by-zero vulnerability could allow remote attackers to
    cause a denial of service (application crash).
  * CVE-2018-18520
    By fuzzing an Invalid Address Deference problem in function elf_end
    has been found.
  * CVE-2018-18310
    By fuzzing an Invalid Address Read problem in eu-stack has been found.
  * CVE-2018-16062
    By using an AddressSanitizer a heap-buffer-overflow has been found.
  * CVE-2017-7613
    By using fuzzing it was found that an allocation failure was not 
    handled properly.
  * CVE-2017-7612
    By using a crafted ELF file, containing an invalid sh_entsize, a
    remote attackers could cause a denial of service (application crash).
  * CVE-2017-7611
    By using a crafted ELF file a remote attackers could cause a denial
    of service (application crash).
  * CVE-2017-7610
    By using a crafted ELF file a remote attackers could cause a denial
    of service (application crash).
  * CVE-2017-7608
    By fuzzing a heap based buffer overflow has been detected.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 25 Jan 2018 19:03:02 +0100

elfutils (0.159-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an upstream patch to fix the build failure on arm64 (closes: #776523).

 -- Michael Gilbert <mgilbert@asachi.debian.org>  Fri, 13 Feb 2015 22:30:44 +0000

elfutils (0.159-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2014-9447: path traversal issue in ar (closes: #775536).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 26 Jan 2015 01:49:30 +0000

elfutils (0.159-4) unstable; urgency=medium

  [ Wookey ]
  * Fix failing run-native-test on arm64 (from Mark Wielaard)
    (Closes: #753552)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 06 Jul 2014 15:21:48 +0200

elfutils (0.159-3) unstable; urgency=medium

  * Make it build again on the non linux ports.
  * Handle unaligned data when reading core files.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 24 Jun 2014 22:14:25 +0200

elfutils (0.159-2) unstable; urgency=medium

  * Add patches from Mark Wielaard <mjw@redhat.com> to make
    things work on armhf.
  * Build-Depends on libc6-dbg on arm* to make the backtrace
    tests work instead of skip.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 15 Jun 2014 16:15:55 +0200

elfutils (0.159-1) unstable; urgency=medium

  * New upstream release
    - Removed patches applied upstream: elfutils-robustify.patch, 
      core_filename.patch, CVE-2014-0172.patch, unwind_non_linux.patch
    - Add libdwelf.h to libdw-dev
    - New functions in libdw: udpate symbols file
  * Also output tests/test-suite.log on failure
  * Also Build-Depend on libc6-dbg on powerpcspe, ppc64 and ppc64el

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 May 2014 22:03:29 +0200

elfutils (0.158-2) unstable; urgency=medium

  * There is no support for unwinding on non-Linux ports, make it
    build on them and make the test suite skip the tests.
  * Build-Depend on libc6-dbg on powerpc so that we have unwind
    information.  This is a work around for things not being 
    build using -fasynchronous-unwind-tables
  * Output tests/test-suite.log
  * Add support for parallel building

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 01 May 2014 19:04:06 +0200

elfutils (0.158-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream
    - Add supports for arm64 (Closes: #745368)
    - Update libdw1.symbols.
  * Apply core_filename.patch from Matthias Klose
  * Fix CVE-2014-0172 (Closes: #744017)
  * Add upstream signing key.
  * Remove config/ar-lib file during clean

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Apr 2014 12:59:25 +0200
