## elfutils 0.160

=== debian/changelog ===
elfutils (0.160-0ubuntu2) utopic; urgency=medium

  * Disabled the patches for the hppa, mips and m68k backends.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 15:57:19 +0200

elfutils (0.160-0ubuntu1) utopic; urgency=medium

  * New upstream version.
  * Drop patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 14:22:00 +0200

elfutils (0.159-4ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/rules: force -O2 to work around FTBFS with -O3
  * Add ppc64el patches (ppc64el-elf.h-update, ppc64el-ELFv2-abi-support).
    Closes: #754798.
  * Fix report_r_debug for prelinked libraries (taken from Fedora).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2014 10:42:44 +0200

elfutils (0.159-3ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/rules: force -O2 to work around FTBFS with -O3
  * Fix failing run-native-test on arm64 (Closes: #753552)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 Jul 2014 13:07:40 -0600

elfutils (0.159-2ubuntu1) utopic; urgency=medium

  * debian/rules: restore "force -O2 to work around build failure with -O3."
    that still seems required on ppc64el build

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Jun 2014 12:09:18 +0200
