=== debian/rules ===
--- 
+++ 
@@ -30,13 +30,14 @@
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
         make_check = no
 endif
-
-ifneq (,$(findstring aarch64, $(DEB_HOST_GNU_TYPE)))
-        make_check = no
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+CFLAGS := $(subst -O3,-O2,$(CFLAGS))
 
 config.status: configure.ac
 	dh_testdir
@@ -51,14 +52,15 @@
 build-stamp:  config.status
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) $(MAKEFLAGS)
 
 ifeq ($(make_check), yes)
 	# Check that those files exist.
 	-ls -l /proc/$$$$/maps
 	-ls -l /proc/$$$$/auxv
 	-ls -l /proc/$$$$/
-	LC_CTYPE=C $(MAKE) check
+	LC_CTYPE=C $(MAKE) check $(MAKEFLAGS) || { cat tests/test-suite.log; exit 1; }
+	cat tests/test-suite.log
 endif
 
 	touch build-stamp
@@ -70,12 +72,12 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f configure version.h
 	rm -f INSTALL aclocal.m4
-	rm -f config/depcomp config/install-sh config/missing config/ylwrap
+	rm -f config/depcomp config/install-sh config/missing config/compile config/ylwrap config/ar-lib
 	rm -f config/config.guess config/config.sub elfutils.spec
 	rm -f config.h.in
 	rm -f config/test-driver
 	rm -rf autom4te.cache
-	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in
+	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in libdwelf/Makefile.in
 	rm -f libdw/known-dwarf.h
 
 	dh_clean
