## elfutils 0.163

=== debian/changelog ===
elfutils (0.163-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix finding the detached debug info when no build-id's are used.
    Closes: #795386.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2015 12:25:05 +0200

elfutils (0.163-5) unstable; urgency=medium

  * Fix typo in 0003-Add-mips-n64-relocation-format-hack.patch that
    causing crash (Closes: #794488)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 08 Aug 2015 15:12:31 +0200

elfutils (0.163-4) unstable; urgency=medium

  * More fixes for kfreebsd and hurd

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 21 Jul 2015 11:39:55 +0000

elfutils (0.163-3) unstable; urgency=medium

  * Fix build failures on kfreebsd and hurd

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 21 Jul 2015 13:01:57 +0200

elfutils (0.163-2) unstable; urgency=medium

  * Drop non_linux.patch, it has been applied upstream

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 Jul 2015 15:49:09 +0200

elfutils (0.163-1) unstable; urgency=medium

  * New upstream release
    - Drop arm_unsupported.patch, arm64.patch, CVE-2014-9447.patch,
      arm_syscall.patch, arm_func_value.patch, arm_unwind_ret_mask.patch,
      unaligned.patch, aarch64-run-native-test-fix.patch: applied upstream
    - Added ppc64el support (Closes: #754798)
    - Fixed too much string replacement (Closes: #775117)
  * Add flex and bison to build-depends
  * Change hppa, m68k and mips backend to not use the removed DW_TAG_mutable_type.
  * Ignore errors on kfreebsd in the native test suite (Closes: #649038)
  * Add mips64el support (Closes: #774639)
  * install known-dwarf.h in libdw-dev
  * Update libdw1.symbols file

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 Jul 2015 14:30:21 +0200
