## elfutils 0.165

=== debian/changelog ===
elfutils (0.165-3ubuntu1) xenial; urgency=medium

  * Fix finding the debug info for Ubuntu kernels (Mark Wielaard). LP: #1537125.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 16:57:49 +0100

elfutils (0.165-3) unstable; urgency=medium

  * Add patches from Mark Wielaard to fix non-Linux issues.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 16 Jan 2016 17:53:34 +0100

elfutils (0.165-2) unstable; urgency=medium

  * Make the new libelf.h work with older elf.h from glibc (Closes: #810885)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 13 Jan 2016 17:50:08 +0100

elfutils (0.165-1) unstable; urgency=medium

  * New upstream release
  * Install libelf.pc and libdw.pc file.
  * Update libelf1.symbols and libdw1.symbols with 0.165 version

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 11 Jan 2016 21:28:32 +0100

elfutils (0.164-1) unstable; urgency=medium

  * New upstream release
    - Fixes sparc64 issues (Closes: #805630)
    - Drop patches applied upstream: 0001-Reduce-scope-of-some-includes.patch, 
      0002-tests-Mark-an-unused-argument-as-such.patch,
      0003-tests-dwfl-bug-fd-leak-Guard-against-null-module-add.patch,
      0004-tests-skip-run-deleted.sh-when-dwfl_linux_proc_attac.patch,
      pr18792.diff
    - Remove redhat-portability.diff and scanf-format.patch
    - Update backend to use to stop using the old-style function
      definition: hppa_backend.diff, m68k_backend.diff, mips_backend.diff

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 26 Dec 2015 20:55:48 +0100
