## elfutils 0.166

=== debian/changelog ===
elfutils (0.166-2ubuntu1) yakkety; urgency=medium

  * Don't run the run-backtrace-native-biarch test.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Aug 2016 13:17:23 +0200

elfutils (0.166-2) unstable; urgency=medium

  * Actually add ignore_strmerge.diff to the patch series.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 23 Jul 2016 18:46:20 +0200

elfutils (0.166-1) unstable; urgency=medium

  * New upstream release
  * Ignore run-native-test on Hurd, the maps file doesn't have
    paths in it.  Patch from Samuel Thibault <sthibault@debian.org> 
    (Closes: #682101)
  * Make cross compilation actually work.  Patch from Helmut Grohne
    <helmut@subdivi.de>  (Closes: #818099)
  * Add libebl.a to libdw-dev (Closes: #825747, #647918)
  * Ignore strmerge test failured, needed on at least mips.  Patch
    from Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>
    (Closes: #818485)
  * Change versioned build-depends on debhelper from 8.1.3 to 9 to
    make lintian happy.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 23 Jul 2016 17:25:04 +0200
