=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: elfutils
 Priority: optional
 Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64], flex, bison
+Build-Depends: debhelper (>= 9), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64], libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64], flex, bison
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.8.4
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://fedorahosted.org/elfutils/
