=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-        confflags += --build=$(DEB_HOST_GNU_TYPE)
+        confflags += --build=$(DEB_HOST_GNU_TYPE) --enable-maintainer-mode
         make_check = yes
 else
         confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
@@ -37,15 +37,18 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-CFLAGS := $(subst -O3,-O2,$(CFLAGS))
 
 config.status: configure.ac
 	dh_testdir
 	autoreconf -fis
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	./configure --enable-maintainer-mode
+	$(MAKE) $(MAKEFLAGS)
+	$(MAKE) clean
+endif
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--enable-maintainer-mode \
 		--program-prefix=eu-
 
 build: build-stamp
@@ -91,7 +94,6 @@
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# We do not provide a libebl anymore, use libdw instead.
-	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libebl.a
 	rm debian/tmp/usr/include/elfutils/libebl.h
 
 # Build architecture-independent files here.
