## elfutils 0.168

=== debian/changelog ===
elfutils (0.168-1) unstable; urgency=medium

  * Fix CVE-2017-7607 (Closes: #859996)
  * Fix CVE-2017-7608 (Closes: #859995)
  * Fix CVE-2017-7609 (Closes: #859994)
  * Fix CVE-2017-7610 (Closes: #859993)
  * Fix CVE-2017-7611 (Closes: #859992)
  * Fix CVE-2017-7612 (Closes: #859991)
  * Fix CVE-2017-7613 (Closes: #859990)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 27 May 2017 15:05:37 +0200

elfutils (0.168-0.2) unstable; urgency=medium

  * debian/copyright: Update to the current licensing, as introduced
    with elfutils 0.154.
  * Drop the m68k_backend.diff patch.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 14:23:54 +0100

elfutils (0.168-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - m68k_backend.diff: Don't apply.
    - testsuite-amd64-fix-backtrace-native.patch: Remove, applied upstream.
    - Refresh patches.
    - Build failure on non Linux targets fixed. Closes: #816394.
  * Update libdw1 symbols file.
  * Improve DEB_BUILD_OPTIONS=nocheck handling (Helmut Grohne). See #832456.
    - Don't treat DEB_BUILD_OPTIONS=casinocheck as nocheck.
    - Don't default to nocheck for cross building.
    - Annotate Build-Depends: gcc-multilib with <!nocheck> profile.
  * Update reference to new sourceware.org home.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 06:09:04 +0100

elfutils (0.166-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * testsuite-amd64-fix-backtrace-native.patch: Backport upstream
    patch to fix FTBFS on amd64 (Closes: #841124)

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 18 Oct 2016 08:13:34 +0100

elfutils (0.166-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on gcc-multilib and libc6-dbg on sparc64 (Closes: #832584)

 -- James Clarke <jrtc27@jrtc27.com>  Fri, 07 Oct 2016 15:16:09 +0100
